/*
****************************************************************************
****************************************************************************
**                                                                        **
**                XXXX     X    X         X XXXXXX X                      **
**               X    X   X X   X    X    X X      X   X                  **
**               X       X   X  X   X X   X X      X  X                   **
**               X   XX XXXXXXX X  X   X  X XXXX   X X                    **
**               X    X X     X X X     X X X      XX                     **
**               X    X X     X XX       XX X      X                      **
**                XXXX  X     X X         X XXXXXX XXXXXX                 **
**                                                                        **
**                           BIAYSTOK 2018                               **
**                                                                        **
**                         Home Control System                            **
**                                                                        **
**                             HC_PROCO4                                  **
**                      Wersja z dnia : 2018.09.01                        **
**                     Napisal : Andrzej Pawluczuk                        **
**                                                                        **
****************************************************************************
****************************************************************************
*/


#ifndef _PROCO4EEPROM_
#define _PROCO4EEPROM_

#include <inttypes.h>

#define StandardSygnature              0xA55A
#define EEBlockAddressOffset           4

#define DeviceIDSize                   8
typedef uint8_t DeviceIDType [ DeviceIDSize + 1 ] ;

#define PasswordSize                   6
typedef uint8_t PasswordType [ PasswordSize + 1 ] ;

#define ChannelsArraySize              16
typedef struct {
                 uint16_t          EEBlockMetric ;
                 DeviceIDType      MyDeviceID ;
                 DeviceIDType      SuperiorDeviceID ;
                 DeviceIDType      SubDeviceID [ ChannelsArraySize ] ;
                 PasswordType      Password ;
                 uint16_t          CRCValue ;
               } EEPROMBlockDataRecT ;

extern EEPROMBlockDataRecT EEBlock ;

void SetDefaultEEBlock ( void ) ;

#endif
